Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::BcastState Class Reference

This creates and forwards/retrieves data from either a BcastStateRecv or a BcastStateSend depending on the value of the argument to constructor. More...

`#include <mstate.h>`

Collaboration diagram for sc::BcastState:

[legend]
List of all members.

## Public Methods
| BcastState (const Ref< MessageGrp > &, int source=0)
| Create a BcastState object. The default source is node 0.
| ~BcastState ()
void | bcast (int &)
| Broadcast data to all nodes. More...
void | bcast (double &)
void | bcast (int *&, int)
void | bcast (double *&, int)
template<class T> void | bcast (Ref< T > &a)
void | flush ()
| Force data to be written. More...
void | forget_references ()
| Call the StateOut or StateIn forget_references member.
void | set_buffer_size (int)
| Controls the amount of data that is buffered before it is sent.

## Detailed Description

This creates and forwards/retrieves data from either a BcastStateRecv or a BcastStateSend depending on the value of the argument to constructor.

## Member Function Documentation

void sc::BcastState::bcast | ( | int & |  | ) |

| Broadcast data to all nodes. After these are called for a group of data the flush member must be called to force the source node to actually write the data.

void sc::BcastState::flush | ( |  | ) |

| Force data to be written. Data is not otherwise written until the buffer is full.

The documentation for this class was generated from the following file:

- mstate.h